Index: testsuite/mutex01/test_main.c
===================================================================
--- testsuite/mutex01/test_main.c	(revision 6fbcf2ec4894bc14310e0f2c91f2914db90bc7e2)
+++ testsuite/mutex01/test_main.c	(revision c64806c4725ea06663b8fc94ed06a205f0ed2e69)
@@ -195,13 +195,13 @@
 
 	assert(!mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
-	mtx_lock(mtx);
-
-	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
-
-	mtx_unlock(mtx);
-	assert(!mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
+	assert(!mtx_recursed(mtx));
+	mtx_lock(mtx);
+
+	assert(mtx_owned(mtx));
+	assert(!mtx_recursed(mtx));
+
+	mtx_unlock(mtx);
+	assert(!mtx_owned(mtx));
+	assert(!mtx_recursed(mtx));
 
 	mtx_destroy(mtx);
@@ -221,29 +221,29 @@
 
 	assert(!mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
-	mtx_lock(mtx);
-
-	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
-	mtx_lock(mtx);
-
-	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 1);
-	mtx_lock(mtx);
-
-	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 2);
-
-	mtx_unlock(mtx);
-	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 1);
-
-	mtx_unlock(mtx);
-	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
-
-	mtx_unlock(mtx);
-	assert(!mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
+	assert(!mtx_recursed(mtx));
+	mtx_lock(mtx);
+
+	assert(mtx_owned(mtx));
+	assert(!mtx_recursed(mtx));
+	mtx_lock(mtx);
+
+	assert(mtx_owned(mtx));
+	assert(mtx_recursed(mtx));
+	mtx_lock(mtx);
+
+	assert(mtx_owned(mtx));
+	assert(mtx_recursed(mtx));
+
+	mtx_unlock(mtx);
+	assert(mtx_owned(mtx));
+	assert(mtx_recursed(mtx));
+
+	mtx_unlock(mtx);
+	assert(mtx_owned(mtx));
+	assert(!mtx_recursed(mtx));
+
+	mtx_unlock(mtx);
+	assert(!mtx_owned(mtx));
+	assert(!mtx_recursed(mtx));
 
 	mtx_destroy(mtx);
@@ -265,19 +265,19 @@
 
 	assert(!mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
+	assert(!mtx_recursed(mtx));
 	ok = mtx_trylock(mtx);
 	assert(ok != 0);
 	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
-
-	mtx_unlock(mtx);
-	assert(!mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
-
-	assert(!mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
-	mtx_lock(mtx);
-	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
+	assert(!mtx_recursed(mtx));
+
+	mtx_unlock(mtx);
+	assert(!mtx_owned(mtx));
+	assert(!mtx_recursed(mtx));
+
+	assert(!mtx_owned(mtx));
+	assert(!mtx_recursed(mtx));
+	mtx_lock(mtx);
+	assert(mtx_owned(mtx));
+	assert(!mtx_recursed(mtx));
 
 	ctx->done[index] = false;
@@ -288,8 +288,8 @@
 
 	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
-	mtx_unlock(mtx);
-	assert(!mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
+	assert(!mtx_recursed(mtx));
+	mtx_unlock(mtx);
+	assert(!mtx_owned(mtx));
+	assert(!mtx_recursed(mtx));
 
 	mtx_destroy(mtx);
@@ -318,8 +318,8 @@
 
 	assert(!mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
-	mtx_lock(mtx);
-	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
+	assert(!mtx_recursed(mtx));
+	mtx_lock(mtx);
+	assert(mtx_owned(mtx));
+	assert(!mtx_recursed(mtx));
 	assert(get_self_prio() == PRIO_MASTER);
 
@@ -331,5 +331,5 @@
 	assert(!ctx->done[high]);
 	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
+	assert(!mtx_recursed(mtx));
 	assert(get_self_prio() == prio_worker[low]);
 
@@ -338,5 +338,5 @@
 	assert(!ctx->done[high]);
 	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
+	assert(!mtx_recursed(mtx));
 	assert(get_self_prio() == prio_worker[high]);
 
@@ -345,5 +345,5 @@
 	assert(ctx->done[high]);
 	assert(!mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
+	assert(!mtx_recursed(mtx));
 	assert(get_self_prio() == PRIO_MASTER);
 
@@ -360,15 +360,15 @@
 
 	assert(!mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
-	mtx_lock(mtx);
-	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
+	assert(!mtx_recursed(mtx));
+	mtx_lock(mtx);
+	assert(mtx_owned(mtx));
+	assert(!mtx_recursed(mtx));
 	assert(get_self_prio() == PRIO_MASTER);
 
 	assert(!mtx_owned(mtx2));
-	assert(mtx_recursed(mtx2) == 0);
+	assert(!mtx_recursed(mtx2));
 	mtx_lock(mtx2);
 	assert(mtx_owned(mtx2));
-	assert(mtx_recursed(mtx2) == 0);
+	assert(!mtx_recursed(mtx2));
 	assert(get_self_prio() == PRIO_MASTER);
 
@@ -377,10 +377,10 @@
 	assert(!ctx->done[low]);
 	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
+	assert(!mtx_recursed(mtx));
 	assert(get_self_prio() == prio_worker[low]);
 
 	mtx_unlock(mtx2);
 	assert(!mtx_owned(mtx2));
-	assert(mtx_recursed(mtx2) == 0);
+	assert(!mtx_recursed(mtx2));
 	assert(get_self_prio() == prio_worker[low]);
 
@@ -388,5 +388,5 @@
 	assert(ctx->done[low]);
 	assert(!mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
+	assert(!mtx_recursed(mtx));
 	assert(get_self_prio() == PRIO_MASTER);
 
@@ -424,8 +424,8 @@
 
 	assert(!mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
-	mtx_lock(mtx);
-	assert(mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
+	assert(!mtx_recursed(mtx));
+	mtx_lock(mtx);
+	assert(mtx_owned(mtx));
+	assert(!mtx_recursed(mtx));
 
 	wakeup(ctx);
@@ -435,5 +435,5 @@
 	assert(ctx->done[index]);
 	assert(!mtx_owned(mtx));
-	assert(mtx_recursed(mtx) == 0);
+	assert(!mtx_recursed(mtx));
 
 	ctx->done[index] = false;
